<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ManagerDownloadsSetDescriptionNullable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		DB::statement("
            ALTER TABLE downloads CHANGE description description TEXT
            CHARACTER SET utf8 COLLATE utf8_unicode_ci NULL DEFAULT NULL
        ");
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		DB::statement("
            ALTER TABLE downloads CHANGE description description TEXT
            CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL
        ");
	}

}
